/*
 * Class EV_WEL_TOOLTIPABLE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_595 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_595 [] = {0xFF01,1551,594,0xFFFF};
static const EIF_TYPE_INDEX egt_2_595 [] = {0xFF01,594,0xFFFF};
static const EIF_TYPE_INDEX egt_3_595 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_595 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_595 [] = {0xFF01,594,0xFFFF};
static const EIF_TYPE_INDEX egt_6_595 [] = {0xFF01,594,0xFFFF};
static const EIF_TYPE_INDEX egt_7_595 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_595 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_595 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_595 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_595 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_595 [] = {0xFF01,594,0xFFFF};
static const EIF_TYPE_INDEX egt_13_595 [] = {0xFF01,924,0xFFFF};


static const struct desc_info desc_595[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_595), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_595), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_595), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_595), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_595), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_595), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_595), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_595), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_595), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_595), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_595), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_595), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04A5 /*594*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_595), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8417, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8418, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8419, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8420, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8421, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8422, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8423, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8424, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8425, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8426, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8427, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8428, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8429, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8430, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8431, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8432, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8433, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8434, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8435, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8436, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8437, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8438, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8439, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8440, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8441, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8442, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8443, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8444, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8445, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8446, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8447, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8448, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_595), 12889, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12890, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0AB9 /*1372*/), 12891, 0},
	{EIF_NON_GENERIC(0x0739 /*924*/), 12892, 4},
	{EIF_NON_GENERIC(0x0AD9 /*1388*/), 12893, 0xFFFFFFFF},
};
void Init595(void)
{
	IDSC(desc_595, 0, 594);
	IDSC(desc_595 + 1, 1, 594);
	IDSC(desc_595 + 32, 647, 594);
	IDSC(desc_595 + 64, 92, 594);
}


#ifdef __cplusplus
}
#endif
